//House 2 script for the mom person
void main( void )
{
 int &bad;
preload_seq(331);
preload_seq(221);
}

void talk( void )
{
 if (&story > 10)
 {
  freeze(1);
  say_stop("`5啊，丁克，我们怎么才能报答你呢？", &current_sprite);
  say_stop("`5我好高兴看到我的孩子又开始吃东西了，多谢你啊。", &current_sprite);
  wait(250);
	unfreeze(1);
  return;
 }
 freeze(1);
 choice_start()
 "看看小家庭的日子过得如何"
 "不管了"
 choice_end()
  if (&result == 1)
  {
   say_stop("这店生意如何啊？", 1);
   wait(250);
   say_stop("`5我，我们不开店。", &current_sprite);
   wait(250);
   say_stop("那你们怎么过日子？这个镇好像在经历经济危机啊。", 1);
   wait(250);
   say_stop("`5是的，那个，我们把大部分都给了鸭子。", &current_sprite);
   wait(250);
   say_stop("是是，鸭子们 ...", 1);
   say_stop("它们又给了你们什么了？", 1);
  }
 unfreeze(1);
 //unfreeze(&current_sprite);
}

void hit( void )
{
 &bad = random(3, 1);
 if (&story > 10)
 {
  say_stop("`5在拯救我们之后再来打我们吗？！不要！", &current_sprite);
  return;
 }
 if (&bad == 1)
 {
  say_stop("`5啊，不要！", &current_sprite);
  say_stop("`5我们需要食物，不是仇恨。", &current_sprite);
 }
 if (&bad == 2)
 {
  say_stop("`5不要出拳，不要出拳！", &current_sprite);
 }
 if (&bad == 3)
 {
  say_stop("`5请不要对一个饿极了的女人动手！", &current_sprite);
 }
}
